| Home | Libraries | People | FAQ | More

## Function template all_of

boost::algorithm::all_of

## Synopsis

    // In header: <boost/algorithm/cxx11/all_of.hpp>

    template<typename InputIterator, typename Predicate>
      bool all_of(InputIterator first, InputIterator last, Predicate p);

## Description

| Note
returns true on an empty range

| Note
This function is part of the C++2011 standard library. We will use the standard one if it is available, otherwise we have our own implementation.

Parameters:

`first` | The start of the input sequence
`last` | One past the end of the input sequence
`p` | A predicate for testing the elements of the sequence

Returns: | true if all elements in [first, last) satisfy the predicate 'p'